Elenca tutte le note
curl --request GET \
--url https://api.devin.ai/v3/enterprise/knowledge/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/knowledge/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/knowledge/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"body": "<string>",
"created_at": 123,
"folder_id": "<string>",
"folder_path": "<string>",
"is_enabled": true,
"macro": "<string>",
"name": "<string>",
"note_id": "<string>",
"org_id": "<string>",
"pinned_repo": "<string>",
"trigger": "<string>",
"updated_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Note di Knowledge (Enterprise)
Elenca tutte le note
GET
/
v3
/
enterprise
/
knowledge
/
notes
Elenca tutte le note
Autorizzazioni
ManageAccountKnowledge a livello enterprise.Autorizzazioni
Credenziale dell'utente del servizio (prefisso: cog_)
Parametri della query
Intervallo richiesto:
1 <= x <= 200Opzioni disponibili:
org, enterprise Risposta
Risposta riuscita
Show child attributes
Show child attributes
Cursore per recuperare la pagina successiva oppure None se si tratta dell’ultima pagina.
Indica se, dopo questa pagina, sono disponibili altri elementi.
Conteggio totale opzionale (può essere omesso per motivi di performance).
Recupera la struttura delle cartelle di Knowledge con il conteggio delle note.Recupera una nota per ID
⌘I

